Groovy Documentation

## org.codehaus.groovy.control
[Java] Class Janitor

    java.lang.Object
      org.codehaus.groovy.control.Janitor

All Implemented Interfaces:
  HasCleanup

    public class Janitor
    extends java.lang.Object

An agent that can be used to defer cleanup operations to a later time. Users much implement the HasCleanup interface.

Authors:
  Chris Poirier

Version:
  \$Id\$

Method Summary
`void` | `cleanup()`
`void` | `register(HasCleanup object)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### cleanup

    public void cleanup()

### register

    public void register(HasCleanup object)

Groovy Documentation